<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'WM'">  WebMoney</xsl:when>
	<xsl:when test="data/@action = 'WMPay'">   WebMoney</xsl:when>
	<xsl:when test="data/@action = 'WMResult'">
		<xsl:choose>
		<xsl:when test="data/pay/@result > 0">
		 WebMoney  
		</xsl:when>
		<xsl:otherwise>
		   WebMoney
		</xsl:otherwise>
		</xsl:choose>
	</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'WM'">
		<xsl:call-template name="WM"/>
	</xsl:when>
	<xsl:when test="@action = 'WMPay'">
		<xsl:choose>
		<xsl:when test="pay/@cid > 0">
		<xsl:call-template name="WMPayConfirm"/>
		</xsl:when>
		<xsl:otherwise>
		<xsl:call-template name="WMPay"/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:when>
	<xsl:when test="@action = 'WMResult'">
		<xsl:choose>
		<xsl:when test="pay/@result > 0">
		<xsl:call-template name="WMResultOK"/>
		</xsl:when>
		<xsl:otherwise>
		<xsl:call-template name="WMResultFail"/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template name="WM">
<form method="post" action="{$WEBEXECUTER}">
	<xsl:call-template name="action"/>
	<xsl:call-template name="error"/>
	
	<xsl:call-template name="monthFilterForm">
		<xsl:with-param name="action" select="/data/@action" />
		<xsl:with-param name="module" select="/data/@module" />
		<xsl:with-param name="mid" select="/data/@mid" />
	</xsl:call-template>
</form>
<div class="report">
	<table border="0" cellspacing="1" class="table800">
	<thead>
	  <tr>
		<td></td>
		<td>/ </td>
		<td></td>
		<td>WM-ID</td>
		<td></td>
	  </tr>
	 </thead>
	 <tbody>
	  <xsl:for-each select="wm/payment">
		<tr>
			<td nowrap="nowrap"><xsl:value-of select="@number"/></td>
			<td><xsl:value-of select="@trans_time"/></td>
			<td><xsl:value-of select="@payer_purse"/></td>
			<td><xsl:value-of select="@payer_wm"/></td>
			<td nowrap="nowrap"><xsl:value-of select="@summ"/></td>
		</tr>		
	  </xsl:for-each>
	 </tbody>
	</table>
</div>
	
<form method="post" action="{$WEBEXECUTER}">
<xsl:call-template name="module"/>
<input type="hidden" name="action" value="WMPay" />
<table style="margin-top:5px;"><tr>
	<td>
		<xsl:call-template name="submit">
			<xsl:with-param name="title" select="' '"/>
		</xsl:call-template>
	</td>
</tr></table>
</form>
</xsl:template>


<xsl:template name="WMPay">
<form method="post" action="{$WEBEXECUTER}">
	<xsl:call-template name="action"/>
	<xsl:call-template name="error"/>

<div class="report">
<table cellspacing="1" style="width: 400px;"><!-- TODO  -->
<col style="width: 100%;"/><!-- TODO  -->
<col align="center"/>
<thead>
	<tr>
		<td colspan="2"> </td>
	</tr>
</thead>
<tbody>
	<tr>
		<td nowrap="nowrap"> </td>
		<td><xsl:value-of select="balance/@balance"/></td>
	</tr>	
	<tr>
		<td nowrap="nowrap">   </td>
		<td><input type="text" name="summ" size="13"></input></td>
	</tr>
</tbody>
<tfoot>
	<tr>
		<td colspan="2">
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=WM&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
			</xsl:call-template>
		</td>
	</tr>
</tfoot>
</table>
</div>
</form>
</xsl:template>

<xsl:template name="WMPayConfirm">
<form method="post" action="https://merchant.webmoney.ru/lmi/payment.asp">
<xsl:call-template name="module"/>
<input type="hidden" name="action" value="WMResult" />
<input type="hidden" name="cid"><xsl:attribute name="value"><xsl:value-of select="pay/@cid"/></xsl:attribute></input>
<input type="hidden" name="LMI_PAYEE_PURSE"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_PAYEE_PURSE"/></xsl:attribute></input>
<input type="hidden" name="LMI_PAYMENT_AMOUNT"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_PAYMENT_AMOUNT"/></xsl:attribute></input>
<input type="hidden" name="LMI_PAYMENT_NO"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_PAYMENT_NO"/></xsl:attribute></input>
<input type="hidden" name="LMI_PAYMENT_DESC"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_PAYMENT_DESC"/></xsl:attribute></input>
<input type="hidden" name="LMI_RESULT_URL"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_RESULT_URL"/></xsl:attribute></input>
<input type="hidden" name="LMI_SUCCESS_URL"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_SUCCESS_URL"/></xsl:attribute></input>
<input type="hidden" name="LMI_SUCCESS_METHOD"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_SUCCESS_METHOD"/></xsl:attribute></input>
<input type="hidden" name="LMI_FAIL_URL"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_FAIL_URL"/></xsl:attribute></input>
<input type="hidden" name="LMI_FAIL_METHOD"><xsl:attribute name="value"><xsl:value-of select="pay/@LMI_FAIL_URL"/></xsl:attribute></input>

<xsl:call-template name="error"/>

<div class="report">
<table cellspacing="1" style="width: 400px;"><!-- TODO  -->
<thead>
	<tr>
		<td> </td>
	</tr>
</thead>
<tbody>
	<tr>
		<td> ""     WebMoney Transfer    .</td>
	</tr>
</tbody>
<tfoot>
	<tr>
		<td>
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=WM&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
			</xsl:call-template>
		</td>
	</tr>
</tfoot>
</table>
</div>
</form>
</xsl:template>

<xsl:template name="WMResultOK">
<form method="post" action="{$WEBEXECUTER}">
<xsl:call-template name="module"/>
<input type="hidden" name="action" value="WM" />
<xsl:call-template name="error"/>

<div class="report">
<table cellspacing="1" id="idTableWMResultOK">
<col class="col1" />
<col class="col2" align="right" />
<thead>
	<tr>
		<td colspan="2">  <xsl:value-of select="pay/@LMI_PAYMENT_NO"/>  </td>
	</tr>
</thead>
<tbody>
	<tr>
		<td align="left" width="300"> :</td><td align="right"><xsl:value-of select="pay/@LMI_PAYMENT_AMOUNT"/></td>
	</tr>
	<tr>
		<td align="left"> :</td><td align="right"><xsl:value-of select="pay/@TRANS_DATE"/></td>
	</tr>
	<tr>
		<td align="left">  :</td><td align="right"><xsl:value-of select="balance/@balance"/></td>
	</tr>
</tbody>
<tfoot>
	<tr>
		<td colspan="2">
			<div>
			<xsl:call-template name="submit">
				<xsl:with-param name="title" select="''"/>
			</xsl:call-template>
			</div>
		</td>
	</tr>
</tfoot>
</table>
</div>
</form>
</xsl:template>

<xsl:template name="WMResultFail">
<form method="post" action="{$WEBEXECUTER}">
<xsl:call-template name="module"/>
<input type="hidden" name="action" value="WM" />
<xsl:call-template name="error"/>

<div class="report">
<table cellspacing="1" id="idTableWMResultFail">
<thead>
  <tr>
	<td align="left">  <xsl:value-of select="pay/@LMI_PAYMENT_NO"/>  </td>
  </tr>
</thead>
<tfoot>
	<tr>
		<td>
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="title2" select="' '"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=WMPay&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>');</xsl:with-param>
			</xsl:call-template>
		</td>
	</tr>
</tfoot>	
</table>
</div>
</form>
</xsl:template>

</xsl:stylesheet>